import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';

abstract class SearchResultItemEvent extends Equatable {
  const SearchResultItemEvent();
  @override
  List<Object> get props => [];
}

/// 初始化
class SearchResultItemInitEvent extends SearchResultItemEvent{

  final Map<String, dynamic> model;
  const SearchResultItemInitEvent({@required this.model});

  @override
  List<Object> get props => [this.model];
}

/// 下拉刷新成功事件
class SearchResultItemRefreshSuccessEvent extends SearchResultItemEvent {
  @override
  bool operator == (Object other) => false;
}
/// 下拉刷新失败事件
class SearchResultItemRefreshErrorEvent extends SearchResultItemEvent {
  @override
  bool operator == (Object other) => false;
}
/// 上拉更多成功事件
class SearchResultItemLoadSuccessEvent extends SearchResultItemEvent {
  @override
  bool operator == (Object other) => false;
}
/// 上拉更多失败事件
class SearchResultItemLoadNoMoreEvent extends SearchResultItemEvent {}