import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';

abstract class SearchResultItemState extends Equatable {
  const SearchResultItemState();

  @override
  List<Object> get props => [];
}

class SearchResultItemInitial extends SearchResultItemState {}

/// 数据加载完毕
class SearchResultItemLoadedState extends SearchResultItemState {
  List<Map<String, dynamic>> model;

  SearchResultItemLoadedState({@required this.model});

  @override
  List<Object> get props => [this.model];
}

/// 数据加载失败
class SearchResultItemErrorState extends SearchResultItemState {}

/// 刷新成功
class SearchResultItemRefreshSuccessState extends SearchResultItemState {
  @override
  bool operator == (Object other) => false;
}

/// 刷新失败
class SearchResultItemRefreshErrorState extends SearchResultItemState {
  @override
  bool operator == (Object other) => false;
}

/// 下拉失败
class SearchResultItemLoadNoMoreState extends SearchResultItemState {
  @override
  bool operator == (Object other) => false;
}

/// 下拉成功
class SearchResultItemLoadSuccessState extends SearchResultItemState {
  @override
  bool operator == (Object other) => false;
}