import 'dart:async';

import 'package:bloc/bloc.dart';
import 'package:meta/meta.dart';
import 'package:zhiying_base_widget/widgets/custom/share_content/model/custom_share_content_model.dart';
import 'package:zhiying_comm/zhiying_comm.dart';
import 'custom_share_content_repository.dart';
part 'custom_share_content_event.dart';
part 'custom_share_content_state.dart';

class CustomShareContentBloc extends Bloc<CustomShareContentEvent, CustomShareContentState> {
  CustomShareContentBloc({this.repository}) : super(CustomShareContentInitial());
  CustomShareContentRepository repository;

  @override
  Stream<CustomShareContentState> mapEventToState(
    CustomShareContentEvent event,
  ) async* {
    /// 初始化
    if (event is CustomShareContentInitEvent) {
      yield* _mapInitEventToState(event);
    }
  }

  /// 初始化事件
  Stream<CustomShareContentState> _mapInitEventToState(CustomShareContentInitEvent event) async* {
    var parentData = await repository.fetchParentStyle(event.model);
    if (!EmptyUtil.isEmpty(parentData)) {
      yield CustomShareContentLoadedState(model: parentData);
      var netData = await repository.fetchNetData(event.model);
      if (!EmptyUtil.isEmpty(netData)) {
        parentData..text = netData?.toString();
        yield CustomShareContentLoadedState(model: parentData);
      }
    } else {
      yield CustomShareContentErrorState();
    }
  }
}
